Novell Home

CVE-2013-2222

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2013-2222 at MITRE

Description

Multiple stack-based buffer overflows in GNU ZRTPCPP before 3.2.0 allow remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a crafted ZRTP Hello packet to the (1) ZRtp::findBestSASType, (2) ZRtp::findBestAuthLen, (3) ZRtp::findBestCipher, (4) ZRtp::findBestHash, or (5) ZRtp::findBestPubKey functions.

NVD CVSS v2 Base Score: 6.8 (AV:N/AC:M/Au:N/C:P/I:P/A:P)

SUSE information

SUSE Bugzilla entry: 828028

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE 12.3
  • libzrtpcpp >= 2.0.0-8.4.1
  • libzrtpcpp-debugsource >= 2.0.0-8.4.1
  • libzrtpcpp-devel >= 2.0.0-8.4.1
  • libzrtpcpp2 >= 2.0.0-8.4.1
  • libzrtpcpp2-debuginfo >= 2.0.0-8.4.1
Patchnames:
openSUSE-2013-804
openSUSE Evergreen 11.4
  • libzrtpcpp >= 1.6.0-6.1
  • libzrtpcpp-debuginfo >= 1.6.0-6.1
  • libzrtpcpp-debugsource >= 1.6.0-6.1
  • libzrtpcpp-devel >= 1.6.0-6.1
Patchnames:
2013-151

© 2015 Novell